package cz.muni.fi.lasaris.sbms.api.entities;

import java.util.SortedSet;
import java.util.TreeSet;

public class Algorithm extends Address {

	public SortedSet<DataPoint> usedDataPointList; 
	
	public SortedSet<DataPoint> getUsedDataPointList() {
		return usedDataPointList;
	}

	public void setUsedDataPointList(SortedSet<DataPoint> usedDataPointList) {
		this.usedDataPointList = usedDataPointList;
	}
	
	public DataPoint getUsedDataPoint() {
		return usedDataPointList.first();
	}
	
	public void setUsedDataPoint(DataPoint dp) {
		usedDataPointList = new TreeSet<DataPoint>();
		usedDataPointList.add(dp);
	}

	public Algorithm() {
	}

	public Algorithm(String bmsId) {
		super(bmsId);
	}

	public Algorithm(String bmsId, String dataPointType) {
		super(bmsId, dataPointType);
		
	}

}
